For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieving

This API endpoint allows you to retrieve a single order. To retrieve an order, you must provide the order_id.

const orderId = "ID_OF_YOUR_ORDER";

const getOrder = async (orderId) => {
    const getOrderResponse = await fetch(
      `https://api.autoenhance.ai/v3/orders/${orderId}`,
      { method: "GET" }
    );

    const { order_id, name, images, status } = await getOrderResponse.json();
}
order_id = "ID_OF_YOUR_ORDER";

def get_order(order_id):
    url = f"https://api.autoenhance.ai/v3/orders/{order_id}"
    
    response = requests.get(url)
    response_data = response.json()
    
    order_id = response_data.get('order_id')
    name = response_data.get('name')
    images = response_data.get('images')
    status = response_data.get('status')
    
    return order_id, name, images, status

The response after successfully fetching an order will contain all the details of your order.

Specification

Retrieve Order

get

Retrieve a specific order. Images can be sorted using the sort_images_by parameter.

Path parameters
idstringRequired
Query parameters
sort_images_byundefined · enumOptional

Specifies sort order for images in the order

Possible values:
Responses
200

Successful response

application/json
created_atstring · date-timeOptional

The creation date of the order.

default_image_sort_orderundefined · enumOptional

Default sort order for images in the order.

Possible values:
is_deletedbooleanOptional

The status of the order.

is_mergingbooleanOptional

The processing status for the order

is_processingbooleanOptional

The processing status for the order

last_updated_atstring · date-timeOptional

The last updated date of the order.

namestringOptional

The name for the order.

order_idstringOptional

The ID for the order.

statusanyRead-onlyOptional

The status of the order.

total_imagesnumberOptional

Number of images in the order.

get/v3/orders/{id}
GET /v3/orders/{id} HTTP/1.1
Host: api:8080
Accept: */*
{
  "created_at": "2026-01-01T00:00:00.000Z",
  "default_image_sort_order": "name",
  "images": [
    {
      "ai_version": "text",
      "cloud_type": "CLEAR",
      "date_added": 1,
      "downloaded": true,
      "enhance": true,
      "enhance_type": "property",
      "finetune_settings": {},
      "image_id": "123e4567-e89b-12d3-a456-426614174000",
      "image_name": "text",
      "lens_correction": true,
      "metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "order_id": null,
      "parent_image_id": "text",
      "perspective_correction": true,
      "perspective_correction_mode": "OFF",
      "preset_id": null,
      "preset_version": null,
      "privacy": true,
      "rating": 1,
      "restage": {
        "fire_in_fireplaces": "AS_SHOT",
        "grass": "AS_SHOT",
        "photographer": "AS_SHOT",
        "sky": "AS_SHOT",
        "tvs": "AS_SHOT"
      },
      "scene": "text",
      "sky_replacement": true,
      "status": null,
      "status_reason": null,
      "tripod_hide": true,
      "upscale": true,
      "user_id": null,
      "window_pull_type": "NONE"
    }
  ],
  "is_deleted": true,
  "is_merging": true,
  "is_processing": true,
  "last_updated_at": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "order_id": "text",
  "status": null,
  "total_images": 1
}

Last updated

Was this helpful?